@use "../custom" as *;
@use "../components/mixins" as *;

.skills-section {
  background-color: $gray-200;
}

.display-4 {
  text-shadow: -3px 3px 5px rgb(58, 50, 50, 0.3);
}

.skills {
  position: relative;
  padding: 1rem 0;

  &__content {
    p {
      font-family: "Trebuchet MS", "Lucida Sans Unicode", "Lucida Grande",
        "Lucida Sans", Arial, sans-serif;
      @include media-breakpoint-up(lg) {
        font-size: 1rem;
      }
    }
    @include media-breakpoint-up(lg) {
      margin-top: 5rem;
    }

    .icon {
      font-size: 1.5rem;

      @include media-breakpoint-up(lg) {
        margin-top: 2.5rem;
      }
    }
  }
  &__pic {
    width: 80%;
  }
}

.skill {
  text-align: justify;
  position: relative;
  border-radius: 0.5rem;
  margin-top: 1rem;
  margin-bottom: 1rem;
  padding: 2rem 2rem 2rem 2rem;
  background: rgba($color: $primary, $alpha: 0.3);
  letter-spacing: 0.5px;

  &:hover {
    transform: translateX(4px) translateY(-4px);
    background: rgba($color: $primary, $alpha: 0.5);
    transition: 1s;
  }
}

.line {
  @include media-breakpoint-up(sm) {
    width: 5rem;
    height: 0.1rem;
  }
}

.resume {
  text-decoration: none;
  font-style: italic;
  font-weight: 700;
  color: palevioletred;

  &:hover {
    background-color: rgb(128, 0, 128, 0.4);
    color: white;
    transition: 1s;
  }
}
